You are not logged in.

#1 2013-07-16 16:25:14

mr0no
Member
Registered: 2013-07-16
Posts: 25

[SOLVED]Makepkg won't detect dependency for Volti

I am trying to install volti (https://aur.archlinux.org/packages/volti/).

So I run makepkg -s:

==> Making package: volti 0.2.3-2 (Tue Jul 16 18:14:40 CEST 2013)
==> Checking runtime dependencies...
==> Installing missing dependencies...
error: target not found: python2-pyalsaaudio
==> ERROR: 'pacman' failed to install missing dependencies.

Then I download and install python2-pyalsaaudio (https://aur.archlinux.org/packages/python2-pyalsaaudio/).
I know it's installed because pacman -Qm has it on the list and running import alsaaudio works in python shell.

But running makepkg in volti directory still returns the same error as above.

What's wrong?

Last edited by mr0no (2013-07-16 20:29:51)

Offline

#2 2013-07-16 17:14:21

Trilby
Forum Moderator
From: Massachusetts, USA
Registered: 2011-11-29
Posts: 14,803
Website

Re: [SOLVED]Makepkg won't detect dependency for Volti

I can't replicate this issue here.  At first I thought I did, but I realized I installed python-pyalsaaudio, not python2-pyalsaaudio.  Are you sure you got the right one?


InterrobangSlider
• How's my coding? See this page.
• How's my moderating? Feel free to email any concerns, complaints, or objections.

Offline

#3 2013-07-16 20:29:15

mr0no
Member
Registered: 2013-07-16
Posts: 25

Re: [SOLVED]Makepkg won't detect dependency for Volti

Owwww...

Yes, I got the wrong one. I can't believe I missed that... And I was running python 3 console, that's why import was working. Gotta keep an eye for that in the future.
Thank you!

Offline

Board footer

Powered by FluxBB